| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::text::TextDetectorCNN Class Referenceabstract
Scene Text Detection and Recognition » Scene Text Detection

TextDetectorCNN class provides the functionallity of text bounding box detection. This class is representing to find bounding boxes of text words given an input image. This class uses OpenCV dnn module to load pre-trained model described in [139]. The original repository with the modified SSD Caffe version: https://github.com/MhLiao/TextBoxes. Model can be downloaded from DropBox. Modified .prototxt file with the model description can be found in `opencv_contrib/modules/text/samples/textbox.prototxt`. More...

`#include <opencv2/text/textDetector.hpp>`

Inheritance diagram for cv::text::TextDetectorCNN:

## Public Member Functions
virtual void | detect (InputArray inputImage, std::vector< Rect > &Bbox, std::vector< float > &confidence) CV_OVERRIDE=0
Public Member Functions inherited from cv::text::TextDetector
virtual | ~TextDetector ()

## Static Public Member Functions
static Ptr< TextDetectorCNN > | create (const String &modelArchFilename, const String &modelWeightsFilename, std::vector< Size > detectionSizes)
| Creates an instance of the TextDetectorCNN class using the provided parameters. More...
static Ptr< TextDetectorCNN > | create (const String &modelArchFilename, const String &modelWeightsFilename)

## Detailed Description

TextDetectorCNN class provides the functionallity of text bounding box detection. This class is representing to find bounding boxes of text words given an input image. This class uses OpenCV dnn module to load pre-trained model described in [139]. The original repository with the modified SSD Caffe version: https://github.com/MhLiao/TextBoxes. Model can be downloaded from DropBox. Modified .prototxt file with the model description can be found in `opencv_contrib/modules/text/samples/textbox.prototxt`.

## Member Function Documentation

## ◆ create() [1/2]

static Ptr<TextDetectorCNN> cv::text::TextDetectorCNN::create | ( | const String & | modelArchFilename,
|  | const String & | modelWeightsFilename,
|  | std::vector< Size > | detectionSizes
| ) |  |
| static

Python:
| retval | = | cv.text.TextDetectorCNN_create( | modelArchFilename, modelWeightsFilename | )

Creates an instance of the TextDetectorCNN class using the provided parameters.

Parameters

  modelArchFilename | the relative or absolute path to the prototxt file describing the classifiers architecture.
  modelWeightsFilename | the relative or absolute path to the file containing the pretrained weights of the model in caffe-binary form.
  detectionSizes | a list of sizes for multiscale detection. The values`[(300,300),(700,500),(700,300),(700,700),(1600,1600)]` are recommended in [139] to achieve the best quality.

## ◆ create() [2/2]

static Ptr<TextDetectorCNN> cv::text::TextDetectorCNN::create | ( | const String & | modelArchFilename,
|  | const String & | modelWeightsFilename
| ) |  |
| static

Python:
| retval | = | cv.text.TextDetectorCNN_create( | modelArchFilename, modelWeightsFilename | )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ detect()

virtual void cv::text::TextDetectorCNN::detect | ( | InputArray | inputImage,
|  | std::vector< Rect > & | Bbox,
|  | std::vector< float > & | confidence
| ) |  |
| pure virtual

Python:
| Bbox, confidence | = | cv.text_TextDetectorCNN.detect( | inputImage | )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Parameters

  inputImage | an image expected to be a CV_U8C3 of any size
  Bbox | a vector of Rect that will store the detected word bounding box
  confidence | a vector of float that will be updated with the confidence the classifier has for the selected bounding box

Implements cv::text::TextDetector.

The documentation for this class was generated from the following file:

- opencv2/text/textDetector.hpp